# Материалы к серии “Анализ данных в MATLAB”

[Серия роликов](https://www.youtube.com/playlist?list=PLmu_y3-DV2_nPReLswuy-4C-aA6lWcgM6) посвящена демонстрации возможностей MATLAB в части анализа данных.

Здесь вы можете скачать все разобранные в видео примеры, поиграться с ними и адаптировать под свои задачи.

## Как скачать

#### Скачать все материалы напрямую в MATLAB

Выполните в MATLAB

```MATLAB
eval(webread('https://exponenta.ru/install/data18'))
```

#### Альтернатива: скачать одним архивом

[Архив для R2019b](https://github.com/ETMC-Exponenta/Data-Analysis-in-MATLAB-2018/archive/master.zip)

[Архив для R2019a (устарел)](https://github.com/ETMC-Exponenta/Data-Analysis-in-MATLAB-2018/archive/v1.2.zip)

[Архив для R2018b (устарел)](https://github.com/ETMC-Exponenta/Data-Analysis-in-MATLAB-2018/archive/v1.0.zip)


## Содержание

### 1. Введение - анализ данных в MATLAB

[![Анализ данных в MATLAB: 01. Введение](http://img.youtube.com/vi/1d823SnprCY/mqdefault.jpg)](http://www.youtube.com/watch?v=1d823SnprCY)

[Посмотреть видео](http://www.youtube.com/watch?v=1d823SnprCY)

[Посмотреть материалы](https://github.com/ETMC-Exponenta/Data-Analysis-in-MATLAB-2018/blob/master/1_Intro/analysis_intro.pdf)


### 2. Анализ данных в MATLAB для начинающих

[![Анализ данных в MATLAB: 02. Для начинающих](http://img.youtube.com/vi/pRn5Q8QlVTM/mqdefault.jpg)](http://www.youtube.com/watch?v=pRn5Q8QlVTM)

[Посмотреть видео](http://www.youtube.com/watch?v=pRn5Q8QlVTM)

[Посмотреть материалы](https://github.com/ETMC-Exponenta/Data-Analysis-in-MATLAB-2018/blob/master/2_Start/gui_analysis.pdf)

### 3. Импорт данных в MATLAB

[![Анализ данных в MATLAB: 03. Импорт данных](http://img.youtube.com/vi/-vte8rEzDiI/mqdefault.jpg)](http://www.youtube.com/watch?v=-vte8rEzDiI)

[Посмотреть видео](http://www.youtube.com/watch?v=-vte8rEzDiI)

[Посмотреть материалы](https://github.com/ETMC-Exponenta/Data-Analysis-in-MATLAB-2018/blob/master/3_Import/import_data.pdf)

### 4. Работа с WEB-сервисами и соцсетями в MATLAB

[![Анализ данных в MATLAB: 04. Работа с WEB и соцсетями](http://img.youtube.com/vi/0RtXAeE6TKo/mqdefault.jpg)](http://www.youtube.com/watch?v=0RtXAeE6TKo)

[Посмотреть видео](http://www.youtube.com/watch?v=0RtXAeE6TKo)

[Посмотреть материалы](https://github.com/ETMC-Exponenta/Data-Analysis-in-MATLAB-2018/blob/master/4_WEB/web_services.pdf)

### 5. Анализ статистических данных в MATLAB

[![Анализ данных в MATLAB: 05. Статистика](http://img.youtube.com/vi/bm2CyGGKVxM/mqdefault.jpg)](http://www.youtube.com/watch?v=bm2CyGGKVxM)

[Посмотреть видео](http://www.youtube.com/watch?v=bm2CyGGKVxM)

[Посмотреть материалы](https://github.com/ETMC-Exponenta/Data-Analysis-in-MATLAB-2018/blob/master/5_Statistics/analyze_friends.pdf)

### 6. Анализ инженерных данных в MATLAB

[![Анализ данных в MATLAB: 06. Инженерные данные](http://img.youtube.com/vi/8q57MA7qkcc/mqdefault.jpg)](http://www.youtube.com/watch?v=8q57MA7qkcc)

[Посмотреть видео](http://www.youtube.com/watch?v=8q57MA7qkcc)

[Посмотреть материалы](https://github.com/ETMC-Exponenta/Data-Analysis-in-MATLAB-2018/blob/master/6_Engineering/signals_analysis.pdf)

### 7. Визуализация в MATLAB

[![Анализ данных в MATLAB: 07. Визуализация](http://img.youtube.com/vi/BZXTysdoC7I/mqdefault.jpg)](http://www.youtube.com/watch?v=BZXTysdoC7I)

[Посмотреть видео](http://www.youtube.com/watch?v=BZXTysdoC7I)

[Посмотреть материалы](https://github.com/ETMC-Exponenta/Data-Analysis-in-MATLAB-2018/blob/master/7_Visualization/vis_data.pdf)


### 8. Обработка данных с помощью Live Tasks

В релизе R2019b появились так называемые "живые" задачи, призванные ускорить обработку данных с помощью графических интерфейсов, встраиваемых непосредственно в Live Script.

Демка посвящена Live Tasks а также демонстрирует автоматизированную обработку текстовых файлов из папки с помощью `datastore`

[Посмотреть материалы](https://github.com/ETMC-Exponenta/Data-Analysis-in-MATLAB-2018/blob/master/8_Live_Tasks/live_tasks_processing.pdf)
